Loading...
Searching...
No Matches
XrdOssCache::allocInfo Struct Reference

`#include <XrdOssCache.hh>`

Collaboration diagram for XrdOssCache::allocInfo:

## Public Member Functions

| allocInfo (const char *pP, char *bP, int bL)
| ~allocInfo ()

## Public Attributes

mode_t | aMode
XrdOssCache_FS * | cgFSp
const char * | cgName
const char * | cgPath
char * | cgPFbf
int | cgPFsz
int | cgPlen
char * | cgPsfx
long long | cgSize
const char * | Path

## Detailed Description

Definition at line 222 of file XrdOssCache.hh.

## Constructor & Destructor Documentation

## allocInfo()

XrdOssCache::allocInfo::allocInfo | ( | const char * | pP,
|  | char * | bP,
|  | int | bL )

inline

Definition at line 234 of file XrdOssCache.hh.

: Path(pP), cgName(0), cgSize(0), cgPath(0), cgPlen(0),
cgPFsz(bL), cgPFbf(bP), cgPsfx(0), cgFSp(0), aMode(0) {}
XrdOssCache::allocInfo::cgSize
long long cgSize
Definition XrdOssCache.hh:225
XrdOssCache::allocInfo::cgFSp
XrdOssCache_FS * cgFSp
Definition XrdOssCache.hh:231
XrdOssCache::allocInfo::cgPlen
int cgPlen
Definition XrdOssCache.hh:227
XrdOssCache::allocInfo::cgPsfx
char * cgPsfx
Definition XrdOssCache.hh:230
XrdOssCache::allocInfo::cgPFsz
int cgPFsz
Definition XrdOssCache.hh:228
XrdOssCache::allocInfo::aMode
mode_t aMode
Definition XrdOssCache.hh:232
XrdOssCache::allocInfo::cgName
const char * cgName
Definition XrdOssCache.hh:224
XrdOssCache::allocInfo::Path
const char * Path
Definition XrdOssCache.hh:223
XrdOssCache::allocInfo::cgPath
const char * cgPath
Definition XrdOssCache.hh:226
XrdOssCache::allocInfo::cgPFbf
char * cgPFbf
Definition XrdOssCache.hh:229

References aMode, cgFSp, cgName, cgPath, cgPFbf, cgPFsz, cgPlen, cgPsfx, cgSize, and Path.

## ~allocInfo()

XrdOssCache::allocInfo::~allocInfo | ( |  | ) |

inline

Definition at line 237 of file XrdOssCache.hh.

{}

## Member Data Documentation

## aMode

mode_t XrdOssCache::allocInfo::aMode

Definition at line 232 of file XrdOssCache.hh.

Referenced by allocInfo(), XrdOssCache::Alloc(), XrdOssSys::Alloc_Cache(), and XrdOssSys::Reloc().

## cgFSp

XrdOssCache_FS* XrdOssCache::allocInfo::cgFSp

Definition at line 231 of file XrdOssCache.hh.

Referenced by allocInfo(), XrdOssCache::Alloc(), and XrdOssSys::Reloc().

## cgName

const char* XrdOssCache::allocInfo::cgName

Definition at line 224 of file XrdOssCache.hh.

Referenced by allocInfo(), XrdOssCache::Alloc(), XrdOssSys::Alloc_Cache(), and XrdOssSys::Reloc().

## cgPath

const char* XrdOssCache::allocInfo::cgPath

Definition at line 226 of file XrdOssCache.hh.

Referenced by allocInfo(), XrdOssCache::Alloc(), XrdOssSys::Alloc_Cache(), and XrdOssSys::Reloc().

## cgPFbf

char* XrdOssCache::allocInfo::cgPFbf

Definition at line 229 of file XrdOssCache.hh.

Referenced by allocInfo(), and XrdOssCache::Alloc().

## cgPFsz

int XrdOssCache::allocInfo::cgPFsz

Definition at line 228 of file XrdOssCache.hh.

Referenced by allocInfo(), and XrdOssCache::Alloc().

## cgPlen

int XrdOssCache::allocInfo::cgPlen

Definition at line 227 of file XrdOssCache.hh.

Referenced by allocInfo(), XrdOssCache::Alloc(), XrdOssSys::Alloc_Cache(), and XrdOssSys::Reloc().

## cgPsfx

char* XrdOssCache::allocInfo::cgPsfx

Definition at line 230 of file XrdOssCache.hh.

Referenced by allocInfo(), XrdOssCache::Alloc(), and XrdOssSys::Reloc().

## cgSize

long long XrdOssCache::allocInfo::cgSize

Definition at line 225 of file XrdOssCache.hh.

Referenced by allocInfo(), XrdOssCache::Alloc(), XrdOssSys::Alloc_Cache(), and XrdOssSys::Reloc().

## Path

const char* XrdOssCache::allocInfo::Path

Definition at line 223 of file XrdOssCache.hh.

Referenced by allocInfo(), and XrdOssCache::Alloc().

The documentation for this struct was generated from the following file:

- XrdOssCache.hh